//截图
function CutImage() {
    var cutJson = $.parseJSON(talkObj.getcutimg());
    OperationCutImg(cutJson);
}

//处理截图结果数据
function OperationCutImg(cutJson) {
    if (cutJson.base64str != null && cutJson.base64str.length > 0) {
        //绑定模态框图片
        $("#spSendCutImageMsg").html("截图图片");
        $("#hidCutImgUrl").val(cutJson.filepath);
        $("#imgSendCutImageMsg").attr("src", "data:image/png;base64," + cutJson.base64str);
        $("#sendCutImageModel").modal("show");
    }
}

//确认发送截图
function SendCutImageMsg(){
    var strCutImageUrl = $("#hidCutImgUrl").val();
    var objhidDocUin = $("#hidDocUin");
    var strParaJson = $.toJSON({
        uin: objhidDocUin.val(),
        file: strCutImageUrl
    });
    talkObj.sendimgmessage(strParaJson);
    $("#hidCutImgUrl").val("");
    $("#spSendCutImageMsg").html("");
    $("#imgSendCutImageMsg").attr("src", "");
    $("#sendCutImageModel").modal("hide");
}